#!/bin/bash
# This script is used as entrypoint in Dockerfile-uploader to upload email templates to s3 in GovCloud

echo "Publishing templates to ${S3_BUCKET_NAME}..."

if [[ -z "${S3_ENDPOINT_URL}" ]]; then
  cmd_prefix="aws s3 cp --content-type j2 --sse AES256"
else
  cmd_prefix="aws s3 cp --content-type j2 --sse AES256 --endpoint-url ${S3_ENDPOINT_URL}"
fi

echo "Command prefix is set to ${cmd_prefix}"

eval "$cmd_prefix ./resources/lq_email_templates/base.html.j2 s3://${S3_BUCKET_NAME}/${ENV}/email_templates/"
eval "$cmd_prefix ./resources/lq_email_templates/query_finished.html.j2 s3://${S3_BUCKET_NAME}/${ENV}/email_templates/"
eval "$cmd_prefix ./resources/config/lq_notifier.properties s3://${S3_BUCKET_NAME}/${ENV}/config/"
eval "$cmd_prefix ./resources/lq_email_templates/csp_template.html s3://${S3_BUCKET_NAME}/${ENV}/email_templates/"

echo "Finished publishing templates to ${S3_BUCKET_NAME}!"
